import type { LayoutNode } from 'officerdev';
import { WorkspaceView, useFileViewerPanels } from 'officerdev';
import { useDashboardState } from 'state/useDashboardState';
import { defaultLayout } from './defaultLayout';

export const FilesScreen = () => {
  const workspace = useDashboardState<LayoutNode>('screens/files', defaultLayout);
  const ephemeral = useFileViewerPanels();

  return (
    <div className="h-full w-full">
      <WorkspaceView workspace={workspace} locked ephemeral={ephemeral} />
    </div>
  );
};
